* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/* #loading{
    position: fixed;
    width: 100%;
    height: 100vh;
    background-clip:  url('https://www.google.com/url?sa=i&url=https%3A%2F%2Fgiphy.com%2Fexplore%2Floading&psig=AOvVaw0aBsQG3Jb1_3ibJy2AAL6i&ust=1705564209137000&source=images&cd=vfe&ved=0CBIQjRxqFwoTCNCx6v3344MDFQAAAAAdAAAAABAE');
    url('https://loding.io/spinner/progress-pie/lg.percent-circular-preloader-gif.gif') 
    z-index: 99999;
    
} */


/* font-family: 'Dancing Script', cursive;
font-family: 'Instrument Serif', serif;
font-family: 'Lemon', serif;
font-family: 'Pacifico', cursive;
font-family: 'Rubik Glitch', system-ui;
font-family: 'Salsa', cursive;
font-family: 'Tektur', sans-serif; */

body {
    overflow-x: hidden;
}



.body {
    background: #000;
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 99999;
}

.smoke {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-40%, -80%);

}



.smoke span {
    position: relative;
    color: #fff;
    font-family: 'Rubik Glitch', system-ui;
    letter-spacing: 10px;
    text-transform: uppercase;
    font-size: 48px;
    animation: animate 2.5s linear;
}

/* animation child elemet */

.smoke span:nth-child(1) {
    animation-delay: 0s;
}

.smoke span:nth-child(2) {
    animation-delay: 0.1s;
}

.smoke span:nth-child(3) {
    animation-delay: 0.2s;
}

.smoke span:nth-child(4) {
    animation-delay: 0.3s;
}

.smoke span:nth-child(5) {
    animation-delay: 0.4s;
}

.smoke span:nth-child(6) {
    animation-delay: .5s;
}

.smoke span:nth-child(7) {
    animation-delay: .6s;
}

.smoke span:nth-child(8) {
    animation-delay: .7s;
}

.smoke span:nth-child(9) {
    animation-delay: .8s;

}

.smoke span:nth-child(10) {
    animation-delay: .9s;
}

.smoke span:nth-child(11) {
    animation-delay: 1s;
}

.smoke span:nth-child(12) {
    animation-delay: 1.1s;
}

.smoke span:nth-child(13) {
    animation-delay: 1.2s;
}

.smoke span:nth-child(14) {
    animation-delay: 1.3s;
}

.smoke span:nth-child(15) {
    animation-delay: 1.4s;
}

.smoke span:nth-child(16) {
    animation-delay: 1.5s;
}

.smoke span:nth-child(17) {
    animation-delay: 1.6s;
}

.smoke span:nth-child(18) {
    animation-delay: 1.7s;
}

.smoke span:nth-child(19) {
    animation-delay: 1.7s;
}

.smoke span:nth-child(20) {
    animation-delay: 1.7s;
}

.smoke span:nth-child(21) {
    animation-delay: 1.7s;
}


@keyframes animate {
    0% {
        filter: blur(100px);

    }

    25% {
        filter: blur(75px);
    }

    50% {
        filter: blur(50px);
    }

    75% {
        filter: blur(25px);
    }

    100% {
        filter: blur(0px);
    }
}



h2 {
    font-family: 'Pacifico', cursive;
    color: darkgoldenrod !important;
}

.active {
    color: goldenrod !important;
}

.h1 {
    font-family: 'Dancing Script', cursive;
    color: darkgoldenrod !important;

}
.h11 {
    font-family: 'Dancing Script', cursive;
    color: rgb(255, 255, 255) !important;

}

/* .carousel-item img {
    width: 100%;
    height: 60vh;
} */

.h1-abt {
    font-family: 'Dancing Script', cursive;
    font-size: 60px !important;
    font-weight: 800;
}

.h1-que {
    font-family: 'Tektur', sans-serif;
    font-size: 40px !important;
    font-weight: bold;
}

.h1-ans {
    font-family: 'Instrument Serif', serif;
    font-size: 20px !important;
    font-weight: bold;
}

.card-body img {
    width: 250px;
    height: 250px;
}

.box {
    width: 350px;

    margin: 10px auto;
    box-shadow: 0 0 5px #bababa;
    overflow: hidden;
    position: relative !important;
}

.box::before,
.box::after {
    content: "";
    width: 0;
    height: 0;
    opacity: 0;
    position: absolute;
    opacity: 0;
    z-index: 1;
    transition: all 0.6s;
}

.box::before {
    bottom: 5%;
    left: 5%;
    border-bottom: 3px solid #fff;
    border-left: 3px solid #fff;
}

.box::after {
    top: 5%;
    right: 5%;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
}

.box:hover:before,
.box:hover:after {
    width: 90%;
    height: 90%;
    opacity: 1;
}

.box img {
    width: 100%;
    margin: 2px;
    height: 480px;
    transform: scale(1);
    display: block;
    transition: all 0.6s;
}

.box:hover img {
    transform: scale(1.05);
}

.box .box-content {
    /* color: #fff; */
    width: 100%;
    position: absolute;
    bottom: 10%;
    left: 10%;
}

.box .service,
.box .explore {
    display: block;
    font-size: 25px;
    line-height: 25px;
    opacity: 1;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all 0.5s;
    color: #fff;
}



.box:hover .service {
    transition: all 0.5s;
    opacity: 0;
}

.box .explore {
    opacity: 0;
    cursor: pointer;
    
}

.box:hover .explore {
    opacity: 1;
}




.text-font {
    font-family: 'Salsa', cursive;


}

/* .slider-img-card{
    height: 20vh;
} */

.box img {
    height: 200px;
}

/* ==================== media ==================== */

.icons {

    position: fixed;
    top: 70%;
    right: 0%;
    width: 180px;
    display: flex;
    flex-direction: column;
    transform: translate(40px, 0px);

    
}

.icons02 {
    position: fixed;
    top: 70%;
    left: 0%;
    width: 180px;
    display: flex;
    flex-direction: column;
    transform: translate(-30px, 0px);
}

.icons a {
    text-decoration: none;
    padding: 10px;
    font-size: 22px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin: 2px;
    text-align: left;
    border-radius: 50px 0 0 50px;
    transform: translate(92px, 0px);
    transition: .7s;
    color: #ffffff;
}

.icons02 a {
    text-decoration: none;
    padding: 10px;
    font-size: 20px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
   
    text-align: right;
    border-radius: 0px 50px 50px 0px;
    transform: translate(-100px, 0px);
    transition: .7s;
    color: #ffffff;
}

.icons a:hover {
    transform: translate(0px, 0px);
}

.icons02 a:hover {
    transform: translate(0px, 0px);
}

.icons a i {
    margin-right: 1px;
    background-color: #fff;
    height: 35px;
    width: 35px;
    color: black;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    transition: all 0.8s;
}

.icons02 a i {
   
    background-color: #fff;
    height: 35px;
    width: 35px;
    color: black;
    text-align: center;
    line-height: 30px;
    border-radius: 50%;
    transition: all 0.8s;
}

.icons a:hover i {
    transform: rotate(-360deg);
}

.icons02 a:hover i {
    transform: rotate(360deg);
}

.Call {
    background: #199245;
    color: rgb(255, 255, 255);
}

.Instagram {
    background: radial-gradient(circle at 33% 100%, #fed373 4%, #f15245 30%, #d92e7f 62%, #9b36b7 85%, #515ecf);
    color: white;
}


.WhatsApp {
    background: #25D366;
    color: white;
}

.icons a i .fa-whatsapp {
    color: #25D366;
}



/*================================= margin lafda of corousel ===========================*/
.my-5{
        margin-top: 6rem !important;
        margin-bottom: 0rem !important;
}





/* ======================================== responsive mobile view ========================================= */

@media screen and (max-width:1920px) {
    .carousel-item img {
        width: 100%;
        height: 80vh;
    }

    nav img {
        width: 100%;
        height: 70px;
        
    }

    /* =================== Property css ===================== */
    .head {
        height: 100vh;
        width: 100%;
        background-image: url(Images/act02.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head02 {
        height: 100vh;
        width: auto;
        background-image: url(Images/act01.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head03 {
        height: 90vh;
        width: auto;
        background-image: url(Images/sig13.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head04 {
        height: 100vh;
        width: 100%;
        background-image: url(Images/ansh04.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head05 {
        height: 100vh;
        width: 100%;
        background-image: url(Images/ara08.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head06 {
        height: 100vh;
        width: 100%;
        background-image: url(Images/for05.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }

    .head07 {
        height: 95vh;
        width: 100%;
        background-image: url(Images/str14.jpeg);
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
        justify-items: center;
        align-items: center;
        text-align: center;
    }
}

@media screen and (max-width:1200px) {
    .carousel-item img {
        width: 100%;
        height: 600px;
    }
}

@media screen and (max-width:900px) {
    .carousel-item img {
        width: 100%;
        height: 500px;
    }

    nav img {
        width: 100%;
        height: 100px;
        margin-left: 0px;
        padding-left: 2px;
    }
    .h1-abt {
        font-family: 'Dancing Script', cursive;
        font-size: 35px !important;
        font-weight: 800;
    }
}

@media screen and (max-width:680px) {
    .smoke span {
        width: 100%;
        position: relative;
        color: #fff;
        font-family: 'Rubik Glitch', system-ui;
        letter-spacing: 2px;
        text-transform: uppercase;
        font-size: 25px;
        animation: animate 3s linear;
    }

    nav img {
        width: 70%;
        height: 60px;
        margin-left: 50px;
        padding-left: 2px;
    }

    

    .smoke {
        position: absolute;
        top: 50%;
        left: 35%;
        transform: translate(-40%, -80%);

    }

    .carousel-item img {
        width: 100%;
        height: 380px;
    }

    .h1-abt {
        font-family: 'Dancing Script', cursive;
        font-size: 35px !important;
        font-weight: 800;
    }

    
}

@media screen and (max-width:480px) {
    .carousel-item img {
        width: 100%;
        height: 300px !important;
    }

    .h1-abt {
        font-family: 'Dancing Script', cursive;
        font-size: 29px !important;
        font-weight: 800;
    }
    nav img {
        width: 80%;
        height: 60px;
        margin-left: 5px;

    }
    
    .box {
    width: 210px;
    margin: 10px auto;
    box-shadow: 0 0 5px #bababa;
    overflow: hidden;
    position: relative !important;
}
}

@media screen and (max-width:320px) {
    .carousel-item img {
        width: 100%;
        height: 300px;
    }
    
    
}


@media screen and (max-width:280px) {
    
    nav img {
        width: 70%;
        height: 50px;
       

    }
    
}